# Uses of Interface
java.lang.classfile.attribute.PermittedSubclassesAttribute

Packages that use PermittedSubclassesAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of PermittedSubclassesAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type PermittedSubclassesAttribute
Modifier and Type
Method
Description
`static AttributeMapper<PermittedSubclassesAttribute>`
Attributes.`permittedSubclasses()`
Returns the mapper for the `PermittedSubclasses` attribute.

## Uses of PermittedSubclassesAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type PermittedSubclassesAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`PermittedSubclassesAttribute`
Models the `PermittedSubclasses` attribute (JVMS 4.7.31), which indicates this class or interface is sealed, and which classes or interfaces may extend or implement this class or interface.
Methods in java.lang.classfile.attribute that return PermittedSubclassesAttribute
Modifier and Type
Method
Description
`static PermittedSubclassesAttribute`
PermittedSubclassesAttribute.`of(ClassEntry... permittedSubclasses)`
Returns a `PermittedSubclasses` attribute.
`static PermittedSubclassesAttribute`
PermittedSubclassesAttribute.`of(List<ClassEntry> permittedSubclasses)`
Returns a `PermittedSubclasses` attribute.
`static PermittedSubclassesAttribute`
PermittedSubclassesAttribute.`ofSymbols(ClassDesc... permittedSubclasses)`
Returns a `PermittedSubclasses` attribute.
`static PermittedSubclassesAttribute`
PermittedSubclassesAttribute.`ofSymbols(List<ClassDesc> permittedSubclasses)`
Returns a `PermittedSubclasses` attribute.